<template>
  <div class="w-full max-w-2xl bg-white shadow-lg overflow-hidden rounded-2xl">
    <table class="table-fixed w-full border-collapse">
      <thead class="uppercase text-gray-400 bg-gray-100">
        <tr class="border border-gray-300">
          <th class="font-normal p-4 text-left">Name</th>
          <th class="font-normal p-4 text-left">Title</th>
          <th class="font-normal p-4 text-left">Responds to</th>
          <th class="p-4 flex justify-end cursor-pointer">
            <div
              class="rounded-2xl bg-gray-800 w-12 h-8 flex items-center justify-center hover:text-white"
              @click="this.$emit('openCreate')"
            >
              +
            </div>
          </th>
        </tr>
      </thead>
      <tbody>
        <tr
          class="border border-gray-300 even:bg-gray-100 hover:bg-gray-200 cursor-pointer"
          v-for="employee in employees"
          :key="employee.employeeNumber"
          @click="$emit('clickedRow', employee.officeCode)"
        >
          <td class="p-4">{{ employee.firstName }} {{ employee.lastName }}</td>
          <td class="p-4">{{ employee.jobTitle }}</td>
          <td class="p-4">
            {{
              employee.reportsToFirstName
                ? employee.reportsToFirstName + ' ' + employee.reportsToLastName
                : ''
            }}
          </td>
          <td class="p-4">
            <div class="flex justify-end gap-2">
              <span
                @click.stop="this.$emit('openEdit', employee.employeeNumber)"
                class="text-blue-600 cursor-pointer hover:text-blue-500"
                >Edit</span
              >
              <span
                @click.stop="this.$emit('openDelete', employee.employeeNumber)"
                class="text-red-600 cursor-pointer hover:text-red-500"
                >Delete</span
              >
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
export default {
  props: ['employees'],
  emits: ['clickedRow', 'openCreate', 'openEdit', 'openDelete']
}
</script>
